/*
 *  sound.hpp
 *  Template
 *
 *  Created by increpare on 16/01/2009.
 *  Copyright 2009 __MyCompanyName__. All rights reserved.
 *
 */

#include <aldumb.h>

const int pan = 128;
const int pitch = 1000;
const int volume = 128;

DUH* music[9];  
SAMPLE* sample[2];

AL_DUH_PLAYER *dplay; /* Holds the current playback state. */

void stopmusic()
{
	//BASS_ChannelStop(curplay);	
	if (dplay!=NULL) 
	{
		al_stop_duh(dplay);
		dplay=NULL;
	}
}

void playmusic(int i)
{
	
	stopmusic();
	dplay=al_start_duh(music[i],1,0,0.2f, 4096,4000);
}

void playsample(int i)
{
	play_sample(sample[i], volume, pan, pitch, 0);
}

void init_sound()
{
	
	if (install_sound(DIGI_AUTODETECT, MIDI_NONE, NULL) != 0) {
		allegro_message("Error initialising sound system\n%s\n", allegro_error);
	}
	atexit(&dumb_exit);
	set_mixer_quality(0);
	dumb_register_stdfiles();
	
	sample[0] = load_sample("wav/sound2.wav");
	sample[1] = load_sample("wav/sound5.wav");

	//load music
	music[0] = dumb_load_xm_quick("xm/title.xm");
	music[1] = dumb_load_xm_quick("xm/track0.xm");
	music[2] = dumb_load_xm_quick("xm/track1.xm");
	music[3] = dumb_load_xm_quick("xm/track2.xm");
	music[4] = dumb_load_xm_quick("xm/track3.xm");
	music[5] = dumb_load_xm_quick("xm/track4.xm");
	music[6] = dumb_load_xm_quick("xm/track5.xm");
	music[7] = dumb_load_xm_quick("xm/track6.xm");
	music[8] = dumb_load_xm_quick("xm/intro.xm");
	
	
}